/*
   For more information, please see: http://software.sci.utah.edu

   The MIT License

   Copyright (c) 2009 Scientific Computing and Imaging Institute,
   University of Utah.

   
   Permission is hereby granted, free of charge, to any person obtaining a
   copy of this software and associated documentation files (the "Software"),
   to deal in the Software without restriction, including without limitation
   the rights to use, copy, modify, merge, publish, distribute, sublicense,
   and/or sell copies of the Software, and to permit persons to whom the
   Software is furnished to do so, subject to the following conditions:

   The above copyright notice and this permission notice shall be included
   in all copies or substantial portions of the Software.

   THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
   OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
   FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
   THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
   LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
   FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
   DEALINGS IN THE SOFTWARE.
*/

#ifndef CORE_ACTIONPYTHONWRAPPERREGISTRATION_H
#define CORE_ACTIONPYTHONWRAPPERREGISTRATION_H

// This file is automatically generated
#include <boost/python.hpp>

namespace Core 
{

// Functions that need to be included from else where
extern void register_action_add_python_wrapper();
extern void register_action_clear_python_wrapper();
extern void register_action_get_python_wrapper();
extern void register_action_offset_python_wrapper();
extern void register_action_remove_python_wrapper();
extern void register_action_rotateview_python_wrapper();
extern void register_action_scaleview_python_wrapper();
extern void register_action_set_python_wrapper();
extern void register_action_setrange_python_wrapper();
extern void register_action_toggle_python_wrapper();
extern void register_action_translateview_python_wrapper();
extern void register_action_setat_python_wrapper();


// Function that calls the registration functions one by one.
void RegisterActionPythonWrappers()
{
	register_action_add_python_wrapper();
	register_action_clear_python_wrapper();
	register_action_get_python_wrapper();
	register_action_offset_python_wrapper();
	register_action_remove_python_wrapper();
	register_action_rotateview_python_wrapper();
	register_action_scaleview_python_wrapper();
	register_action_set_python_wrapper();
	register_action_setrange_python_wrapper();
	register_action_toggle_python_wrapper();
	register_action_translateview_python_wrapper();
	register_action_setat_python_wrapper();

}

} // end namespace Core

BOOST_PYTHON_MODULE(  )
{
	Core::RegisterActionPythonWrappers();
}

#endif
